Bug 571481 - [abrt] crash in gedit-1:2.28.3-1.fc12: preview.py:58:generate:TypeError: __init__() takes at least 5 non-keyword arguments (4 given)
[abrt] crash in gedit-1:2.28.3-1.fc12: preview.py:58:generate:TypeError: __in...
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-03-08 11:22 EST by pouet
Modified: 2010-12-03 12:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 12:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (747 bytes, text/plain)
2010-03-08 11:22 EST, pouet
no flags Details

  None (edit)
Description pouet 2010-03-08 11:22:07 EST
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: gedit /home/foucher/Bureau/These/Documents/Latex/article/article.tex
component: gedit
executable: /usr/lib64/gedit-2/plugins
package: gedit-1:2.28.3-1.fc12
reason: preview.py:58:generate:TypeError: __init__() takes at least 5 non-keyword arguments (4 given)
release: Fedora release 12 (Constantine)

preview.py:58:generate:TypeError: __init__() takes at least 5 non-keyword arguments (4 given)

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/dialogs.py", line 540, in _on_refresh_clicked
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/preview.py", line 122, in render
    tool = ImageToolGenerator().generate()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/preview.py", line 58, in generate
    tool = Tool(label=self._names[self.format], jobs=[], description="")
TypeError: __init__() takes at least 5 non-keyword arguments (4 given)

Local variables in innermost frame:
self: <GeditLaTeXPlugin.src.latex.preview.ImageToolGenerator object at 0x1b7f190>
Comment 1 pouet 2010-03-08 11:22:10 EST
Created attachment 398556 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 16:26:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2010-12-03 12:43:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.